Alaya NeW Cloud

获取CCI实例详细错误信息

获取CCI容器计算实例详细错误信息。

GEThttps://api.alayanew.com/v1/cci/instance/{id}/error-details

鉴权(Authorizations)

AuthorizationString必填

用户可通过已获取的 Open API Key 做验证。例如:Bearer [YOUR_API_KEY]

Path Parameters

idString必填

实例ID,实例的唯一标识符,例如:08ba7a0e-af00-4072-a5e5-1298ed6c1aa0

Response

statusInteger

业务状态码,200表示成功。

messageString

接口响应信息,成功或失败原因描述。

dataObject

CCI实例错误详情响应对象。

显示 properties
instanceIdString

CCI实例ID。例如: "cci-8f2c9a3d"

instanceStatusString

实例主状态。例如: "FAILED"

instanceSubStatusString

实例子状态。例如: "CREATE_VOLUME_FAILED"

errorDescriptionString

错误概要描述(en)。

suggestionString

处理建议。例如: "Please retry later or check cluster resource usage"

errorDetailString

错误详细信息。例如: "FailedMount: MountVolume.SetUp failed for volume ..."

curl -X 'GET' \
  'https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/error-details' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer [YOUR_API_KEY]'
import requests

url = "https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/error-details"

headers = {
    "accept": "application/json",
    "Authorization": "Bearer [YOUR_API_KEY]"
}

response = requests.get(url, headers=headers)

print(response.text)
fetch('https://api.alayanew.com/v1/cci/instance/08ba7a0e-af00-4072-a5e5-1298ed6c1aa0/error-details', {
  method: 'GET',
  headers: {
    'accept': 'application/json',
    'Authorization': 'Bearer [YOUR_API_KEY]'
  }
})
  .then(response => response.text())
  .then(data => console.log(data))
  .catch(error => console.error(error));
{
  "status": 200,
  "message": "OK",
  "data": {
    "instanceId": "cci-8f2c9a3d",
    "instanceStatus": "FAILED",
    "instanceSubStatus": "CREATE_VOLUME_FAILED",
    "errorDescription": "Operation execution time exceeded expected duration, possibly due to insufficient resources or network latency",
    "suggestion": "Please retry later or check cluster resource usage",
    "errorDetail": "FailedMount: MountVolume.SetUp failed for volume \"cci-nas-storage-8bc009a9-59db-4596-a1f9-23ced75c02a0\" : hostPath type check failed: /mnt/cephfs-test/volumes/_nogroup/abbda309-3251-4169-a6ce-3cdc177da5eb/faf13970-1539-424a-90b5-731df26a684d_00000 is not a directory"
  }
}
{
  "status": 403,
  "message": "Forbidden",
  "data": {}
}
{
  "status": 500,
  "message": "Internal Server Error",
  "data": {}
}

Last updated on